IEEE80211_ALLOC_HW(9)

NAME
ieee80211_alloc_hw - Allocate a new hardware device

SYNOPSIS

struct ieee80211_hw * ieee80211_alloc_hw(size_t priv_data_len, const struct ieee80211_ops * ops);

ARGUMENTS

priv_data_len
    length of private data

ops
    callbacks for this device

DESCRIPTION

This must be called once for each hardware device. The returned pointer must be used to refer to this device when calling other functions. mac80211 allocates a private data area for the driver pointed to by priv in struct ieee80211_hw, the size of this area is given as priv_data_len.

RETURN

A pointer to the new hardware device, or NULL on error.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT